Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface QtlFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface QtlFeature
extends Feature

A QtlFeature represent a region where the Qtl appears in the Ensembl database.

Author:
  Craig Melsopp
See Also:
  `Qtl`

Method Summary
`Qtl` | `getQtl()` Qtl this feature is associated with.
`long` | `getQtlID()` Get the internal ID of the QTL this feature represents.
`void` | `setQtl(Qtl qtl)` Qtl this feature is associated with.
`void` | `setQtlID(long qtlID)` Set the internal ID of the QTL this feature represents.

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getQtl

    public Qtl getQtl()

  Qtl this feature is associated with.

  Returns:
    Qtl this feature is associated with.

### setQtl

    public void setQtl(Qtl qtl)

  Qtl this feature is associated with.

  Parameters:
    `qtl` - Qtl this feature is associated with.

### setQtlID

    public void setQtlID(long qtlID)

  Set the internal ID of the QTL this feature represents.

  Parameters:
    `qtlID` - internal ID of the QTL this feature represents.

### getQtlID

    public long getQtlID()

  Get the internal ID of the QTL this feature represents.

  Returns:
    internal ID of the QTL this feature represents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD